Foxit PDF SDK

Public Member Functions | Static Public Member Functions | List of all members
foxit.pdf.graphics.PathObject Class Reference
Inheritance diagram for foxit.pdf.graphics.PathObject:

## Public Member Functions
FillMode | GetFillMode ()
| Get fill mode. More...
Path | GetPathData ()
| Get the path data. More...
bool | GetStrokeState ()
| Get stroke state. More...
void | SetFillMode (FillMode fill_mode)
| Set fill mode. More...
void | SetPathData (Path path_data)
| Set the path data. More...
void | SetStrokeState (bool is_stroke)
| Set stroke state. More...
Public Member Functions inherited from foxit.pdf.graphics.GraphicsObject
bool | AddClipPath (Path path, FillMode fill_mode)
| Add a path for clipping. More...
bool | AddClipTextObject (TextObject textobject)
| Add text object for clipping. More...
bool | ClearClips ()
| Clear all clips. More...
GraphicsObject | Clone ()
| Clone a new graphics object. More...
GraphicsObject | Clone (GraphicsObjects src_graphicsobjects, GraphicsObjects dest_graphicsobjects)
| Clone a new graphics object. More...
bool | Equal (GraphicsObject other)
| Check if input object is equal to current object. More...
GraphicsObject.BlendMode | GetBlendMode ()
| Get the blend mode for transparent imaging model. More...
Path | GetClipPath (int index)
| Get a path clip by index. More...
int | GetClipPathCount ()
| Get the count of path clip. More...
FillMode | GetClipPathFillMode (int index)
| Get the fill mode of a path clip by index. More...
RectF | GetClipRect ()
| Get clip rectangle. More...
TextObject | GetClipTextObject (int index)
| Get the text object of a text clip by index. More...
int | GetClipTextObjectCount ()
| Get the count of text clip. More...
ColorState | GetColorState ()
| Get color state. More...
uint | GetFillColor ()
| Get the fill color. More...
float | GetFillOpacity ()
| Get the opacity value for painting operations other than stroking. More...
FormXObject | GetFormXObject ()
| Get the form XObject graphics object if current graphics object represents a form XObject object. More...
GraphState | GetGraphState ()
| Get graph state. More...
ImageObject | GetImageObject ()
| Get the image graphics object if current graphics object represents an image object. More...
LayerNodeArray | GetLayers (LayerTree layer_tree)
| Get all the layers which are associated with current graphics object. More...
MarkedContent | GetMarkedContent ()
| Get marked content object. More...
Matrix2D | GetMatrix ()
| Get matrix. More...
PathObject | GetPathObject ()
| Get the path graphics object if current graphics object represents a path object. More...
RectF | GetRect ()
| Get the rectangle of current graphics object. More...
ShadingObject | GetShadingObject ()
| Get the shading graphics object if current graphics object represents a shading object. More...
uint | GetStrokeColor ()
| Get the stroke color. More...
float | GetStrokeOpacity ()
| Get opacity value for stroke painting operations for paths and glyph outlines. More...
TextObject | GetTextObject ()
| Get the text graphics object if current graphics object represents a text object. More...
GraphicsObject.Type | GetType ()
| Get the type of current graphics object. More...
bool | HasTransparency ()
| Check whether current graphics object has transparency or not. More...
void | Release ()
| Release a cloned or newly created PDF graphics object which has not been inserted into any PDF page or other object. More...
bool | RemoveClipPath (int index)
| Remove a path clip by index. More...
bool | RemoveClipTextObject (int index)
| Remove a text clip by index for clipping. More...
void | Rotate (int angle)
| Rotate current graphics object from current state with specified angle degree in clockwise. More...
void | SetBlendMode (GraphicsObject.BlendMode blend_mode)
| Set the blend mode for transparent imaging model. More...
void | SetClipRect (RectF clip_rect)
| Set clip rectangle. More...
void | SetColorState (ColorState color_state)
| Set color state. More...
void | SetFillColor (uint color)
| Set the fill color. More...
void | SetFillOpacity (float opacity)
| Set the opacity value for painting operations other than stroking. More...
void | SetGraphState (GraphState graph_state)
| Set graph state. More...
void | SetMatrix (Matrix2D matrix)
| Set matrix. More...
void | SetStrokeColor (uint color)
| Set the stroke color. More...
void | SetStrokeOpacity (float opacity)
| Set opacity value for stroke painting operations for paths and glyph outlines. More...
bool | Transform (Matrix2D matrix, bool need_transform_clippath)
| Transform current graphics object. More...

## Static Public Member Functions
static PathObject | Create ()
| Create a new path graphics object. More...
static PathObject | CreateFromTextObject (PDFPage page, TextObject text_obj)
| Create a path graphics object from a text object. More...

## Additional Inherited Members
Public Types inherited from foxit.pdf.graphics.GraphicsObject
enum | BlendMode { BlendMode.e_BlendNormal = 0, BlendMode.e_BlendMultiply = 1, BlendMode.e_BlendScreen = 2, BlendMode.e_BlendOverlay = 3, BlendMode.e_BlendDarken = 4, BlendMode.e_BlendLighten = 5, BlendMode.e_BlendColorDodge = 6, BlendMode.e_BlendColorBurn = 7, BlendMode.e_BlendHardlight = 8, BlendMode.e_BlendSoftlight = 9, BlendMode.e_BlendDifference = 10, BlendMode.e_BlendExclusion = 11, BlendMode.e_BlendHue = 21, BlendMode.e_BlendSaturation = 22, BlendMode.e_BlendColor = 23, BlendMode.e_BlendLuminosity = 24 }
| Enumeration for render blend mode. More...
enum | Type { Type.e_TypeAll = 0, Type.e_TypeText = 1, Type.e_TypePath = 2, Type.e_TypeImage = 3, Type.e_TypeShading = 4, Type.e_TypeFormXObject = 5, Type.e_TypeInlines = 6, Type.e_TypeEmptyMarkedContent = 7 }
| Enumeration for PDF graphics object type. More...

## Detailed Description

Path graphics object is a kind of PDF graphics object, so class PathObject is derived from class GraphicsObject . It offers functions to get/set path graphics object's data.
To create a new path graphics object, please use function PathObject.Create and then use setting functions to set information to the new path graphics object. Function PathObject.CreateFromTextObject can be used to create a path graphics object from a text graphics object.

See also
  GraphicsObject

## Member Function Documentation

## ◆ Create()

static PathObject foxit.pdf.graphics.PathObject.Create | ( |  | ) |
| inline static

Create a new path graphics object.

The newly created path graphics object does not have any data yet. Then, setting functions can be called to set data to the new path graphics object. If the newly created path graphics object will not inserted to any page or other objects, please remember to call function GraphicsObject.Release to release it when no use.

Returns
  A new path graphics object. If there is any error, this function will return null.

## ◆ CreateFromTextObject()

static PathObject foxit.pdf.graphics.PathObject.CreateFromTextObject | ( | PDFPage | page,
|  | TextObject | text_obj
| ) |  |
| inline static

Create a path graphics object from a text object.

If the newly created path graphics object will not inserted to any page or other objects, please remember to call function GraphicsObject.Release to release it when no use.

Parameters

  [in] | page | A valid PDF page object.
  [in] | text_obj | A text graphics object. It should not be null. Please ensure the text graphics object is in the PDF page specified by parameter page.

Returns
  A new path graphics object. If there is any error, this function will return null.

## ◆ GetFillMode()

FillMode foxit.pdf.graphics.PathObject.GetFillMode | ( |  | ) |
| inline

Get fill mode.

Returns
  Fill mode. Please refer to values starting from foxit.common.FillMode.e_FillModeNone and this would be one of these values.

## ◆ GetPathData()

Path foxit.pdf.graphics.PathObject.GetPathData | ( |  | ) |
| inline

Get the path data.

Returns
  Path data. If the return value of function common.Path.IsEmpty for the returned path object is true, that means there is any error.

## ◆ GetStrokeState()

bool foxit.pdf.graphics.PathObject.GetStrokeState | ( |  | ) |
| inline

Get stroke state.

Returns
  true means current path graphics object is stroked, and false means current path graphics object is not stroked.

## ◆ SetFillMode()

void foxit.pdf.graphics.PathObject.SetFillMode | ( | FillMode | fill_mode | ) |
| inline

Set fill mode.

Parameters

  [in] | fill_mode | Fill mode. Please refer to values starting from foxit.common.FillMode.e_FillModeNone and this should be one of these values.

Returns
  None.

Note
  When this function succeeds, function GraphicsObjects.GenerateContent should be called. Please refer to function GraphicsObjects.GenerateContent for more details.

## ◆ SetPathData()

void foxit.pdf.graphics.PathObject.SetPathData | ( | Path | path_data | ) |
| inline

Set the path data.

Parameters

  [in] | path_data | A valid path object which represents the path data to be set.

Returns
  None.

Note
  When this function succeeds, function GraphicsObjects.GenerateContent should be called. Please refer to function GraphicsObjects.GenerateContent for more details.

## ◆ SetStrokeState()

void foxit.pdf.graphics.PathObject.SetStrokeState | ( | bool | is_stroke | ) |
| inline

Set stroke state.

Parameters

  [in] | is_stroke | true means current path graphics object is to be stroked. false means current path graphics object is not to be stroked.

Returns
  None.

Note
  When this function succeeds, function GraphicsObjects.GenerateContent should be called. Please refer to function GraphicsObjects.GenerateContent for more details.